Ubuntu源码安装Python3.6.5

  • 作者:lwj
  • 分类:Linux
  • 发表日期:2019-09-26 21:05:03
  • 阅读(807)
  • 评论(0)

安装python3.6.5

1.安装依赖

sudo apt-get install gcc make zlib1g-dev
sudo apt-get install libbz2-dev
sudo apt-get install libsqlite3-dev
sudo apt-get install python3-dev libxml2-dev libffi-dev libssl-dev libxslt1-dev

2.下载python源代码解压并编译                                       

wget https://www.python.org/ftp/python/3.6.5/Python-3.6.5.tar.xz   
cp Python-3.6.5.tar.xz /usr/bin/Python-3.6.5.tar.xz               
tar xf python3.6.tar.xz                                            
mv Pyhon-3.6.5  python3.6.5                                        
# 下载python3.6.5的源代码,复制到/usr/bin/解压源代码并重命名目录
 
cd python3.6.5
sudo ./configure --enable-optimizations
sudo make -j 2
sudo make altinstall                                               
# 进入python3.6.5并编译
 
ln -s /usr/bin/python3.6.5/python /usr/bin/python3.6               
# 创建python3.6.5的软链接到/usr/bin/并命名为python3.6

3.选择python默认版本

Ubuntu默认是启动python2的,可以通过输入python -V 查看其默认版本,

我们对其添加默认优先级 (注:一定要创建软链接,不然会报错)

sudo update-alternatives --install /usr/bin/python python /usr/bin/python2.7 1
sudo update-alternatives --install /usr/bin/python python /usr/bin/python3.5 2
sudo update-alternatives --install /usr/bin/python python /usr/bin/python3.6 3

后面的数字为启动优先级,添加成功可以再次通过python -V 查看其默认的python

或者直接在命令行输入python查看其进入的版本

python3.6.5安装pip

1.先查看pip3的指向: pip3 -V   发现pip3 指向python3.5

2.查看python各个版本的pip安装情况

python2.7 -m pip -V   
python3.5 -m pip -V   
python3.6 -m pip -V

提示python3.6没找到pip

3.先安装系统相应的依赖库文件

sudo apt-get install zlibc zlib1g-dev

4.回到python3.6.5安装目录下执行

sudo ./configure

5.编辑Modules/Setup文件

sudo vi Modules/Setup

找到下面这句,去掉注释

#zlib zlibmodule.c -I$(prefix)/include -L$(exec_prefix)/lib -lz

—>zlib zlibmodule.c -I$(prefix)/include -L$(exec_prefix)/lib -lz

保存退出

6.重新编译:

sudo make
sudo make altinstall

编译过程系统会安装python3.6.5的pip,安装完成后可输入 pip/pip3 -V  && python3.6 -m pip -V查看

7.pip常用命令

查看包列表

sudo python3.6 -m pip list

升级pip

sudo python3.6 -m pip install --upgrade pip

安装 selenium 3.141.0 和 requests2.21.0

sudo python3.6 -m pip install selenium==3.141.0
sudo python3.6 -m pip install requests==2.21.0

卸载python3.6的包

sudo python3.6 -m pip uninstall xxx

 

编译安装后ssl模块无法调用解决方法

觉得不错,支持一下!

提交评论

您尚未登录,登录之后方可评论~ 登录 or 注册

评论列表

暂无评论
返回顶部

建议反馈

1. 可在博文底部留言评论

2. 发邮件到i_suichuan@163.com